Module | Chef::Formatters::ErrorMapper
In: | lib/chef/formatters/error_mapper.rb

## Formatters::ErrorMapper

Collection of methods for creating and returning Formatters::ErrorDescription objects based on node, exception, and configuration information.

### Methods

cookbook_resolution_failed cookbook_sync_failed file_load_failed node_load_failed registration_failed resource_failed run_list_expand_failed

### Public Class methods

cookbook_resolution_failed(expanded_run_list, exception)
cookbook_sync_failed(cookbooks, exception)
file_load_failed(path, exception)
node_load_failed(node_name, exception, config)
registration_failed(node_name, exception, config)

Failed to register this client with the server.

resource_failed(resource, action, exception)
run_list_expand_failed(node, exception)

[Validate]